<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Shared\Trend\Trend</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method_calculate" title="calculate ::">
            <span class="description"></span><pre>calculate</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>                <li class="constant">
                    <a href="#constant_TREND_BEST_FIT" title="TREND_BEST_FIT ::">
                        <span class="description"></span><pre>TREND_BEST_FIT</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TREND_BEST_FIT_NO_POLY" title="TREND_BEST_FIT_NO_POLY ::">
                        <span class="description"></span><pre>TREND_BEST_FIT_NO_POLY</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TREND_EXPONENTIAL" title="TREND_EXPONENTIAL ::">
                        <span class="description"></span><pre>TREND_EXPONENTIAL</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TREND_LINEAR" title="TREND_LINEAR ::">
                        <span class="description"></span><pre>TREND_LINEAR</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TREND_LOGARITHMIC" title="TREND_LOGARITHMIC ::">
                        <span class="description"></span><pre>TREND_LOGARITHMIC</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TREND_POLYNOMIAL_2" title="TREND_POLYNOMIAL_2 ::">
                        <span class="description"></span><pre>TREND_POLYNOMIAL_2</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TREND_POLYNOMIAL_3" title="TREND_POLYNOMIAL_3 ::">
                        <span class="description"></span><pre>TREND_POLYNOMIAL_3</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TREND_POLYNOMIAL_4" title="TREND_POLYNOMIAL_4 ::">
                        <span class="description"></span><pre>TREND_POLYNOMIAL_4</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TREND_POLYNOMIAL_5" title="TREND_POLYNOMIAL_5 ::">
                        <span class="description"></span><pre>TREND_POLYNOMIAL_5</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TREND_POLYNOMIAL_6" title="TREND_POLYNOMIAL_6 ::">
                        <span class="description"></span><pre>TREND_POLYNOMIAL_6</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TREND_POWER" title="TREND_POWER ::">
                        <span class="description"></span><pre>TREND_POWER</pre>
                    </a>
                </li>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>Trend</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method_calculate"></a>
                        <div class="element clickable methodpublic method_calculate" data-toggle="collapse" data-target=".method_calculate .collapse">
                            <h2>calculate</h2>
                            <pre>calculate( $trendType = self::TREND_BEST_FIT, $yValues = array(), $xValues = array(), $const = true)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$trendType</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$yValues</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$xValues</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$const</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-constant"></i> Constants</h3>                            <a id="constant_TREND_LINEAR"> </a>
                            <div class="element clickable constant constant_TREND_LINEAR" data-toggle="collapse" data-target=".constant_TREND_LINEAR .collapse">
                                <h2>TREND_LINEAR</h2>
                                <pre>TREND_LINEAR</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TREND_LOGARITHMIC"> </a>
                            <div class="element clickable constant constant_TREND_LOGARITHMIC" data-toggle="collapse" data-target=".constant_TREND_LOGARITHMIC .collapse">
                                <h2>TREND_LOGARITHMIC</h2>
                                <pre>TREND_LOGARITHMIC</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TREND_EXPONENTIAL"> </a>
                            <div class="element clickable constant constant_TREND_EXPONENTIAL" data-toggle="collapse" data-target=".constant_TREND_EXPONENTIAL .collapse">
                                <h2>TREND_EXPONENTIAL</h2>
                                <pre>TREND_EXPONENTIAL</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TREND_POWER"> </a>
                            <div class="element clickable constant constant_TREND_POWER" data-toggle="collapse" data-target=".constant_TREND_POWER .collapse">
                                <h2>TREND_POWER</h2>
                                <pre>TREND_POWER</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TREND_POLYNOMIAL_2"> </a>
                            <div class="element clickable constant constant_TREND_POLYNOMIAL_2" data-toggle="collapse" data-target=".constant_TREND_POLYNOMIAL_2 .collapse">
                                <h2>TREND_POLYNOMIAL_2</h2>
                                <pre>TREND_POLYNOMIAL_2</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TREND_POLYNOMIAL_3"> </a>
                            <div class="element clickable constant constant_TREND_POLYNOMIAL_3" data-toggle="collapse" data-target=".constant_TREND_POLYNOMIAL_3 .collapse">
                                <h2>TREND_POLYNOMIAL_3</h2>
                                <pre>TREND_POLYNOMIAL_3</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TREND_POLYNOMIAL_4"> </a>
                            <div class="element clickable constant constant_TREND_POLYNOMIAL_4" data-toggle="collapse" data-target=".constant_TREND_POLYNOMIAL_4 .collapse">
                                <h2>TREND_POLYNOMIAL_4</h2>
                                <pre>TREND_POLYNOMIAL_4</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TREND_POLYNOMIAL_5"> </a>
                            <div class="element clickable constant constant_TREND_POLYNOMIAL_5" data-toggle="collapse" data-target=".constant_TREND_POLYNOMIAL_5 .collapse">
                                <h2>TREND_POLYNOMIAL_5</h2>
                                <pre>TREND_POLYNOMIAL_5</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TREND_POLYNOMIAL_6"> </a>
                            <div class="element clickable constant constant_TREND_POLYNOMIAL_6" data-toggle="collapse" data-target=".constant_TREND_POLYNOMIAL_6 .collapse">
                                <h2>TREND_POLYNOMIAL_6</h2>
                                <pre>TREND_POLYNOMIAL_6</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TREND_BEST_FIT"> </a>
                            <div class="element clickable constant constant_TREND_BEST_FIT" data-toggle="collapse" data-target=".constant_TREND_BEST_FIT .collapse">
                                <h2>TREND_BEST_FIT</h2>
                                <pre>TREND_BEST_FIT</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TREND_BEST_FIT_NO_POLY"> </a>
                            <div class="element clickable constant constant_TREND_BEST_FIT_NO_POLY" data-toggle="collapse" data-target=".constant_TREND_BEST_FIT_NO_POLY .collapse">
                                <h2>TREND_BEST_FIT_NO_POLY</h2>
                                <pre>TREND_BEST_FIT_NO_POLY</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_trendTypes"> </a>
                            <div class="element clickable propertyprivate property_trendTypes" data-toggle="collapse" data-target=".property_trendTypes .collapse">
                                <h2>Names of the best-fit Trend analysis methods.</h2>
                                <pre>trendTypes :array&lt;mixed,string&gt;</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array&lt;mixed,string&gt;</code>                                    </div>
                                </div>
                            </div>                            <a id="property_trendTypePolynomialOrders"> </a>
                            <div class="element clickable propertyprivate property_trendTypePolynomialOrders" data-toggle="collapse" data-target=".property_trendTypePolynomialOrders .collapse">
                                <h2>Names of the best-fit Trend polynomial orders.</h2>
                                <pre>trendTypePolynomialOrders :array&lt;mixed,string&gt;</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array&lt;mixed,string&gt;</code>                                    </div>
                                </div>
                            </div>                            <a id="property_trendCache"> </a>
                            <div class="element clickable propertyprivate property_trendCache" data-toggle="collapse" data-target=".property_trendCache .collapse">
                                <h2>Cached results for each method when trying to identify which provides the best fit.</h2>
                                <pre>trendCache :array&lt;mixed,\PhpOffice\PhpSpreadsheet\Shared\Trend\bestFit&gt;</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array&lt;mixed,\PhpOffice\PhpSpreadsheet\Shared\Trend\bestFit&gt;</code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Shared\Trend\Trend"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Shared.Trend.html">Trend</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.Trend.Trend.html">Trend</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:50 +0000.<br/>
    </footer></body>
</html>
